(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap21.png", id:"Bitmap21"},
		{src:"images/Bitmap22.png", id:"Bitmap22"},
		{src:"images/Bitmap23.png", id:"Bitmap23"},
		{src:"images/Bitmap24.png", id:"Bitmap24"},
		{src:"images/Bitmap25.png", id:"Bitmap25"},
		{src:"images/Bitmap26.png", id:"Bitmap26"},
		{src:"images/Bitmap27.png", id:"Bitmap27"},
		{src:"images/Bitmap28.png", id:"Bitmap28"},
		{src:"images/Bitmap29.png", id:"Bitmap29"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap30.png", id:"Bitmap30"},
		{src:"images/Bitmap31.png", id:"Bitmap31"},
		{src:"images/Bitmap32.png", id:"Bitmap32"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(636.6,426,1268.5,654.2);
p.frameBounds = [rect];


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1122,492);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,141);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,141);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,163);


(lib.Bitmap21 = function() {
	this.initialize(img.Bitmap21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap22 = function() {
	this.initialize(img.Bitmap22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap23 = function() {
	this.initialize(img.Bitmap23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap24 = function() {
	this.initialize(img.Bitmap24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap25 = function() {
	this.initialize(img.Bitmap25);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,141);


(lib.Bitmap26 = function() {
	this.initialize(img.Bitmap26);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap27 = function() {
	this.initialize(img.Bitmap27);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap28 = function() {
	this.initialize(img.Bitmap28);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap29 = function() {
	this.initialize(img.Bitmap29);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap30 = function() {
	this.initialize(img.Bitmap30);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,141);


(lib.Bitmap31 = function() {
	this.initialize(img.Bitmap31);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap32 = function() {
	this.initialize(img.Bitmap32);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,141);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,141);


(lib.Symbol30 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap32();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol29 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap31();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol28 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap30();
	this.instance.setTransform(-45.5,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-45.5,-70.5,91,141);
p.frameBounds = [rect];


(lib.Symbol27 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap29();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol26 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap28();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol25 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap27();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol24 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap26();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol23 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap25();
	this.instance.setTransform(-45.5,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-45.5,-70.5,91,141);
p.frameBounds = [rect];


(lib.Symbol22 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap24();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol21 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap23();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap22();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol19 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap21();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol18 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();
	this.instance.setTransform(-45.5,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-45.5,-70.5,91,141);
p.frameBounds = [rect];


(lib.Symbol17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap18();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-45.5,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-45.5,-70.5,91,141);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-45.5,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-45.5,-70.5,91,141);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-46,-70.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-46,-70.5,92,141);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32470',
			title: 'Dobierz karty w pary.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',	 
			groupdrags: {		
				1: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30'],
			},
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',	
				/*drop_5:*/ '1',	
				/*drop_6:*/ '1',	
				/*drop_7:*/ '1',	
				/*drop_8:*/ '1',	
				/*drop_9:*/ '1',		
				/*drop_10:*/ '1',
				/*drop_11:*/ '1',
				/*drop_12:*/ '1',
				/*drop_13:*/ '1',
				/*drop_14:*/ '1',	
				/*drop_15:*/ '1',	
				/*drop_16:*/ '1',	
				/*drop_17:*/ '1',	
				/*drop_18:*/ '1',
				/*drop_19:*/ '1',
				/*drop_20:*/ '1',
				/*drop_21:*/ '1',
				/*drop_22:*/ '1',
				/*drop_23:*/ '1',
				/*drop_24:*/ '1',	
				/*drop_25:*/ '1',	
				/*drop_26:*/ '1',	
				/*drop_27:*/ '1',	
				/*drop_28:*/ '1',	
				/*drop_29:*/ '1',		
				/*drop_30:*/ '1',
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			endsound: 'ssBrawa', exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {
						/*
				Istancje obiektów na scenie, które mają zostać sparowane powinny mieć kolejne indeksy w nazwie,
				np drag_1 i drag_2, drag_3 i drag_4 itd. Indeksy nieparzyste będą miały prawidłową pozycję po lewej stronie,
				a parzyste po prawej. Zatem jeżeli umieścimy np obiekcie drop_1 obiekty o nazwie drag_2, funkcja zwróci błąd.
				W obiekcie drop_ z parzystym indeksem możemy umieścić tylko obiekt drag_ z również parzystym indeksem.
				To samo tyczy się obiektów z indeksami nieparzystymi.
				
				Następnie funkcja sprawdzi czy upuszczone obiekty drag_ maja kolejne indeksy, jeżeli nie zwróci błąd. 
				*/
				dropPairCheck(config, dragCurrent, dropIndex, isCorrect);
				//commmon.js
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer 2
	this.drag_30 = new lib.Symbol30();
	this.drag_30.setTransform(1087,638.1,1,1,-20.2);

	this.drag_29 = new lib.Symbol29();
	this.drag_29.setTransform(563.8,636,1,1,-30.5);

	this.drag_28 = new lib.Symbol28();
	this.drag_28.setTransform(1182.7,479.4,1,1,-36.2);

	this.drag_27 = new lib.Symbol27();
	this.drag_27.setTransform(225.5,592.5);

	this.drag_26 = new lib.Symbol26();
	this.drag_26.setTransform(1208,418.5);

	this.drag_25 = new lib.Symbol25();
	this.drag_25.setTransform(79.1,332.4,1,1,-19);

	this.drag_24 = new lib.Symbol24();
	this.drag_24.setTransform(850.5,633.3);

	this.drag_23 = new lib.Symbol23();
	this.drag_23.setTransform(75.6,505.5,1,1,37.5);

	this.drag_22 = new lib.Symbol22();
	this.drag_22.setTransform(1182,588.5,1,1,47.7);

	this.drag_21 = new lib.Symbol21();
	this.drag_21.setTransform(82,612.5);

	this.drag_20 = new lib.Symbol20();
	this.drag_20.setTransform(1039.5,618.3,1,1,47.2);

	this.drag_19 = new lib.Symbol19();
	this.drag_19.setTransform(621,629.5);

	this.drag_18 = new lib.Symbol18();
	this.drag_18.setTransform(950.9,629.5,1,1,5.3);

	this.drag_17 = new lib.Symbol17();
	this.drag_17.setTransform(317.5,629.5);

	this.drag_16 = new lib.Symbol16();
	this.drag_16.setTransform(818,617.5,1,1,-28.2);

	this.drag_15 = new lib.Symbol15();
	this.drag_15.setTransform(174,512.5);

	this.drag_14 = new lib.Symbol14();
	this.drag_14.setTransform(771,633.7,1,1,31.7);

	this.drag_13 = new lib.Symbol13();
	this.drag_13.setTransform(356.5,612.5,1,1,-25.2);

	this.drag_12 = new lib.Symbol12();
	this.drag_12.setTransform(211,343.5);

	this.drag_11 = new lib.Symbol11();
	this.drag_11.setTransform(161.1,611.5,1,1,-27.5);

	this.drag_10 = new lib.Symbol10();
	this.drag_10.setTransform(1215,629.5);

	this.drag_9 = new lib.Symbol9();
	this.drag_9.setTransform(75.1,252.5,1,1,31.2);

	this.drag_8 = new lib.Symbol8();
	this.drag_8.setTransform(1144.9,551.5);

	this.drag_7 = new lib.Symbol7();
	this.drag_7.setTransform(498,629.5);

	this.drag_6 = new lib.Symbol6();
	this.drag_6.setTransform(1157.8,371.5,1,1,-26.2);

	this.drag_5 = new lib.Symbol5();
	this.drag_5.setTransform(423,624.8,1,1,38.2);

	this.drag_4 = new lib.Symbol4();
	this.drag_4.setTransform(887.5,635.7,1,1,36.5);

	this.drag_3 = new lib.Symbol3();
	this.drag_3.setTransform(265.1,624.8,1,1,33.2);

	this.drag_2 = new lib.Symbol2();
	this.drag_2.setTransform(1188.4,335,1,1,32.5);

	this.drag_1 = new lib.Symbol1();
	this.drag_1.setTransform(91.1,422.9,1,1,-35.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_11},{t:this.drag_12},{t:this.drag_13},{t:this.drag_14},{t:this.drag_15},{t:this.drag_16},{t:this.drag_17},{t:this.drag_18},{t:this.drag_19},{t:this.drag_20},{t:this.drag_21},{t:this.drag_22},{t:this.drag_23},{t:this.drag_24},{t:this.drag_25},{t:this.drag_26},{t:this.drag_27},{t:this.drag_28},{t:this.drag_29},{t:this.drag_30}]}).wait(1));

	// content
	this.drop_30 = new lib.Symbol2();
	this.drop_30.setTransform(1148.5,488.5);

	this.drop_29 = new lib.Symbol1();
	this.drop_29.setTransform(1057.5,488.5);

	this.drop_28 = new lib.Symbol2();
	this.drop_28.setTransform(941.5,488.5);

	this.drop_27 = new lib.Symbol1();
	this.drop_27.setTransform(850.5,488.5);

	this.drop_26 = new lib.Symbol2();
	this.drop_26.setTransform(732.5,487.5);

	this.drop_25 = new lib.Symbol1();
	this.drop_25.setTransform(641.5,487.5);

	this.drop_24 = new lib.Symbol2();
	this.drop_24.setTransform(524.5,488.5);

	this.drop_23 = new lib.Symbol1();
	this.drop_23.setTransform(433.5,488.5);

	this.drop_22 = new lib.Symbol2();
	this.drop_22.setTransform(317.5,488.5);

	this.drop_21 = new lib.Symbol1();
	this.drop_21.setTransform(226.5,488.5);

	this.drop_20 = new lib.Symbol2();
	this.drop_20.setTransform(1041.4,313.5);

	this.drop_19 = new lib.Symbol1();
	this.drop_19.setTransform(950.4,313.5);

	this.drop_18 = new lib.Symbol2();
	this.drop_18.setTransform(833.4,313.5);

	this.drop_17 = new lib.Symbol1();
	this.drop_17.setTransform(742.4,313.5);

	this.drop_16 = new lib.Symbol2();
	this.drop_16.setTransform(626.4,313.5);

	this.drop_15 = new lib.Symbol1();
	this.drop_15.setTransform(534.4,313.5);

	this.drop_14 = new lib.Symbol2();
	this.drop_14.setTransform(418.4,313.5);

	this.drop_13 = new lib.Symbol1();
	this.drop_13.setTransform(327.4,313.5);

	this.drop_12 = new lib.Symbol2();
	this.drop_12.setTransform(210.5,313.5);

	this.drop_11 = new lib.Symbol1();
	this.drop_11.setTransform(119.5,313.5);

	this.drop_10 = new lib.Symbol2();
	this.drop_10.setTransform(1137.5,137.5);

	this.drop_9 = new lib.Symbol1();
	this.drop_9.setTransform(1046.5,137.5);

	this.drop_8 = new lib.Symbol2();
	this.drop_8.setTransform(930.5,137.5);

	this.drop_7 = new lib.Symbol1();
	this.drop_7.setTransform(839.5,137.5);

	this.drop_6 = new lib.Symbol2();
	this.drop_6.setTransform(721.5,136.5);

	this.drop_5 = new lib.Symbol1();
	this.drop_5.setTransform(630.5,136.5);

	this.drop_4 = new lib.Symbol2();
	this.drop_4.setTransform(513.5,137.5);

	this.drop_3 = new lib.Symbol1();
	this.drop_3.setTransform(422.5,137.5);

	this.drop_2 = new lib.Symbol2();
	this.drop_2.setTransform(306.5,137.5);

	this.drop_1 = new lib.Symbol1();
	this.drop_1.setTransform(215.5,137.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_21},{t:this.drop_22},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26},{t:this.drop_27},{t:this.drop_28},{t:this.drop_29},{t:this.drop_30}]}).wait(1));

	// Layer 3
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(73,67);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(-3.4,66,1268.5,654.2);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;